# Class CIM_ADSLModem
extends CIM_DSLModem

The ADSLModem class represents Modems of the DSL type = ADSL, Asymmetric Digital Subscriber Line.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_Modem
|
+--CIM_ConnectionBasedModem
|
+--CIM_DSLModem
|
+--CIM_ADSLModem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The ADSLModem class represents Modems of the DSL type = ADSL, Asymmetric Digital Subscriber Line.
UMLPackagePath | string | CIM::Device::Modems
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LineAttenuation | uint32 |
Description | string | Measured difference in the total power transmitted by the peer Modem and the total power received by this Modem. This value is measured in tenths of dB.
Gauge | boolean | true
PUnit | string | decibel * 10^-1
Units | string | Tenths of Decibels
LineState | uint32 |

Description

string

Status indicates the current state of the connection (line). The property holds a bit map that describes the possible conditions. For example, 1) No Defect - There are no defects on the line; 2) Loss Of Framing - ATUR failure due to the inability to receive a valid frame; 4) Loss Of Signal - ATUR failure due to the inability to receive a signal; 8) Loss Of Power - ATUR failure due to loss of power; 32) Loss Of Signal Quality - Loss of Signal Quality is declared when the NoiseMargin falls below the minimum NoiseMargin, or the bit-error-rate exceeds 10^-7.

ValueMap | string | 1, 2, 4, 8, 32
Values | string | No Defect, Loss Of Framing, Loss Of Signal, Loss Of Power, Loss Of Signal Quality
MaxDataRate | uint32 |
Description | string | Indicates the maximum currently attainable data rate for the Modem. This value will be equal to or greater than the current line rate.
PUnit | string | bit / second
Units | string | Bits per Second
NoiseMargin | uint32 |
Description | string | Noise Margin of this Modem with respect to its received signal, in tenths of dB.
PUnit | string | decibel * 10^-1
Units | string | Tenths of Decibels
TotalOutputPower | uint32 |
Description | string | Measured total output power (in tenths of dB) transmitted by this Modem.
Gauge | boolean | true
PUnit | string | decibel * 10^-1
Units | string | Tenths of Decibels

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Availability | uint16 | CIM_LogicalDevice
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_LogicalDevice
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastErrorCode | uint32 | CIM_LogicalDevice
MaxQuiesceTime | uint64 | CIM_LogicalDevice
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
VendorID | string | CIM_ConnectionBasedModem
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice